static const char* const rcsid = "$Id$";
/*                               -*- Mode: C -*- 
 * user-evaluable-predicate.c -- contains user defined evaluable predicate.
 * 
 * Copyright (C) 1991-2005 Francois Felix Ingrand
 * 
 * Author          : Francois Felix Ingrand
 * Created On      : Fri Aug  9 10:49:24 1991
 * Last Modified By: Francois Felix Ingrand
 * Last Modified On: Mon Jul 19 12:17:32 1999
 * Update Count    : 100
 * Status          : OK
 * 
 */

#include <stdio.h>

#include "portLib.h"
#include "csLib.h"

#include "opaque-pub.h"
#include "constant-pub.h"
#include "oprs-type-pub.h"
#include "user-ev-predicate.h"
#include "ev-predicate_f-pub.h"

#include "oprs-post_f.h"
#include "user-decl-oprs-post.h"
#include "user-decl-oprs-post_f.h"

void declare_oprs_post_evaluable_predicate(void)
{
     make_and_declare_eval_pred("POSTER-EXIST",
				poster_exist,
				1, TRUE);
     return;
}
